Bug 469209 - Installed system does not show GRUB menus.
Installed system does not show GRUB menus.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 12:09 EDT by c. h.
Modified: 2009-12-05 19:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 05:08:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description c. h. 2008-10-30 12:09:45 EDT
Description of problem:
FEDORA 10 SNAP 3 I386: Installed system has invisible GRUB menus and boot console / progress / rhgb output until GDM starts.
The system had multiple OS choices due to a dual-boot configuration in its GRUB menu.  After a successful install completion I proceeded to reboot, and XP came up with no visible grub dialog menu to optionally boot Fedora.  At first I thought GRUB / the boot sector hadn't been installed properly so I booted the install CD into rescue mode and re-ran grub-install manually and verified the grub menu configuration file, changing the default OS to Fedora.  Rebooting booted straight into Fedora (the new GRUB default) without any visible GRUB menu system showing.  Thus I find that GRUB seems to be working but the video output from its menus is invisible.  When Fedora boots I see a cursor underline on a black screen for quite a while, then a blue text mode progress bar, then GDM's screens.  No boot progress (similar to RHGB et. al.) is displayed visibly.

I don't know where to file this bug report, so I picked anaconda since I assume it should have the responsibility of setting the right plymouth / video mode / whatever configuration settings that are used for first boot.  Or maybe it's all dynamic for each boot and it's a plymouth bug.  Anyway I can't seem to select multiple products to send the bug report to in firefox via holding down the control key and left-button clicking on the various software component choices.  I'm not sure if that's by bugzilla design, a firefox bug, or a touchpad driver bug or what.  

Please modify the bug's component list to include any additional / alternative appropriate categories of software.

People seem to be talking about similar "invisible output" bugs in Plymouth here:
"Plymouth on ATI and nVidia"
https://www.redhat.com/archives/fedora-test-list/2008-October/msg01389.html

Version-Release number of selected component (if applicable):
FEDORA 10 SNAP 3 I386


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Invisible GRUB menus and boot progress display text/gui until GDM starts.

Expected results:
Visible GRUB menus, visible plymouth boot sequence.


Additional info:


My system configuration is here:
http://www.smolts.org/client/show/pub_d15b9a22-adc3-4881-b72c-f4d88c46af3d
OS: Fedora release 9.92 (Rawhide)
	Default run level: 5
	Language: en_US.UTF-8
	Platform: i686
	Vendor: TOSHIBA
	System: Satellite A75 PSA70U-0WL00G
	Form factor: laptop
	Kernel: 2.6.27.3-34.rc1.fc10.i686
	SELinux Enabled: True
	SELinux Policy: targeted
	SELinux Enforce: Enforcing

		 Devices
		=================================

		(4098:22584:0:0) pci, Unknown, OTHER, Radeon 9100 IGP AGP Bridge
		(None:None:None:None) input, Unknown, None, PC Speaker
		(4098:22577:4473:65280) pci, agpgart-ati, OTHER, RS300 Host Bridge

		(None:None:None:None) platform, Unknown, None, Platform Device (vesafb.0)
		(4098:22581:4473:65282) pci, Unknown, VIDEO, RS300M AGP [Radeon Mobility 9100IGP]
		(4332:33081:4473:65280) pci, 8139too, NETWORK, RTL-8139/8139C/8139C+
Comment 1 Peter Jones 2008-10-30 16:57:32 EDT
Make sure you've got grub-0.97-36.fc10 installed, and add the line "chaintimeout 5" near the beginning of grub.conf .  This should cause the menu to show if you've got any chainloaded OSes (i.e. XP).

Please let me know if this doesn't work.
Comment 2 Bug Zapper 2008-11-25 23:30:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Sergio Monteiro Basto 2008-12-09 07:27:28 EST
Hi, 
rpm -q grub
I got: grub-0.97-38.fc10.i386

And experience a sort of "invisible output" on MBR.
It is more visible when I put in grub.conf, hiddenmenu. The first screen don't show the background wallpaper.
And boot option: kernel quiet have some invisible messages on "boot console".
The strange is, menu appears correctly without hiddenmenu,
and boot without quiet , shows lots of output has always.

I had try restore grub mbr with f9 DVD , (using grub: root (hd0,0) and setup (hd0)) 
but no luck .

seems that something was write on MBR that don't get overwrite.
Any feedback is welcome.
Comment 4 Piotr Smolinski 2009-06-18 16:41:42 EDT
Hi all,

I have similar problem. I installed Fedora 9 on my machine (Toshiba Tecra S5) 
some time ago. When F10 appeared I replaced F9 with it simply by clearing 
partitions, but leaving F9 /boot. What I noticed was that grub background is 
not visible in wait screen until I press any arrow button. Upgrading to F11
(the same way as F9->F10) did not fix it.

Anyway, I can see menu entries with residual background behind the letters. 
After I press any arrow key the selection bar moves and whole background appears.

Cheers,
Piotr
Comment 5 Piotr Smolinski 2009-06-18 17:24:53 EDT
I was to fast. Commenting hiddenmenu directive fixed a lot.
Sorry for inconvenience,
Piotr
Comment 6 Sergio Monteiro Basto 2009-06-18 18:56:05 EDT
(In reply to comment #5)
> I was to fast. Commenting hiddenmenu directive fixed a lot.
> Sorry for inconvenience,
> Piotr  

well you see the bug , not have hiddemenu is just a workarround. I'm still looking for something that can revert this state , on my boot in 2 pcs .
Comment 7 Joel Andres Granados 2009-09-09 05:01:55 EDT
Sergio:

There is no comment about you trying to use the "chaintimeout 5" option.  Can you pls try this and comment on the bug.

Additionally: does this behavior persist in rawhide?
Comment 8 Joel Andres Granados 2009-09-09 05:08:15 EDT
Actually the current behavior is the following.  If you have more than one system the grub menu will have a 5 sec timeout and if you don't have additional OSs then the grub will not appear (it does not have to) and will continue with boot without a timeout.  If you see a behavior different from this one in rawhide, feel free to reopen this bug.
Comment 9 Sergio Monteiro Basto 2009-09-09 11:22:11 EDT
n(In reply to comment #7)
> Sergio:
> 
> There is no comment about you trying to use the "chaintimeout 5" option.  Can
> you pls try this and comment on the bug.
> 
> Additionally: does this behavior persist in rawhide?  

yes , I Still have the same bad behavior,
hidemenu don't show background .. 

chaintimeout=5
#libata.noacpi=1
#rhgb
default=0
#timeout=5
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
#hiddenmenu
title Fedora (2.6.30.5-43.fc11.i686.PAE)
    root (hd0,0)
    kernel /boot/vmlinuz-2.6.30.5-43.fc11.i686.PAE ro root=UUID=3d0bf56a-d765-11dc-9f45-857f0ac9e064 quiet
    initrd /boot/initrd-2.6.30.5-43.fc11.i686.PAE.img


chaintimeout don't do nothing ...
Comment 10 Sergio Monteiro Basto 2009-12-05 19:57:11 EST
FI finally found the bug that fit into my problem

https://bugzilla.redhat.com/show_bug.cgi?id=473319

Note You need to log in before you can comment on or make changes to this bug.